/*
 * Copyright 2002-2007 Interface21.
 * This code is free to use, modify and extend.
 * Out of courtesy rather than legal obligation,
 * please acknowledge its source if reproducing
 * it!
 */

package com.interface21.spring2.ioc;

import java.util.List;

/**
 * Bean with generic and untyped collections
 * to inject.
 * 
 * @author Rod Johnson
 * @since 2.0
 */
public class DependsOnLists {
	
	private List plainList;
	
	private List<Float> floatList;

	/**
	 * @return the floatList
	 */
	public List<Float> getFloatList() {
		return floatList;
	}

	/**
	 * @param floatList the floatList to set
	 */
	public void setFloatList(List<Float> floatList) {
		this.floatList = floatList;
	}

	/**
	 * @return the plainList
	 */
	public List getPlainList() {
		return plainList;
	}

	/**
	 * @param plainList the plainList to set
	 */
	public void setPlainList(List plainList) {
		this.plainList = plainList;
	}

}
