/*
 * Copyright 2002-2007 Interface21.
 * This code is free to use, modify and extend.
 * Out of courtesy rather than legal obligation,
 * please acknowledge its source if reproducing
 * it!
 */

package com.interface21.spring2.ioc;


/**
 * Simple bean to advise
 * 
 * @author Rod Johnson
 * @since 2.0
 */
public class Person {
	
	private int age;
	
	private String name;
	
	private House house;

	/**
	 * @return the age
	 */
	public int getAge() {
		return age;
	}

	/**
	 * @param age the age to set
	 */
	public void setAge(int age) {
		this.age = age;
	}

	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}
	
	/**
	 * @param house the house to set
	 */
	public void setHouse(House house) {
		this.house = house;
	}
	
	/**
	 * @return the house
	 */
	public House getHouse() {
		return house;
	}
	
	public void birthday() {
		++age;
	}

}
